import Handler from './Handler';
/**
 * 画布视窗大小的调节
 */
declare class ZoomHandler {
    /** @ignore */
    handler: Handler;
    /** @ignore */
    private coefficient;
    /** @ignore */
    private minZoom;
    /** @ignore */
    private maxZoom;
    /** @ignore */
    constructor(handler: Handler);
    /**
     * 当前视窗设置为最佳视角
     */
    zooToFit(): void;
    zoomIn(): void;
    /**
     * 视窗减小
     *
     */
    zoomOut(): void;
    /**
     * 视窗设置为100%
     *
     */
    zoomOneToOne(): void;
    /**
     * 根据输入的数字大小改变，参数范围0-1
     */
    zoomToNumber(number: number): void;
    /**
     * 获取当前视窗大小
     */
    getZoom(): number;
    /**
     * 触发修改
     */
    private setModified;
}
export default ZoomHandler;
